Bug 98697 - gdm should not open tcp ports by default
Summary: gdm should not open tcp ports by default
Status: CLOSED DUPLICATE of bug 98696
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gdm   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Mike McLean
URL: http://bugzilla.gnome.org/show_bug.cg...
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-07 17:33 UTC by Rui Miguel Seabra
Modified: 2007-04-18 16:55 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 18:56:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rui Miguel Seabra 2003-07-07 17:33:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
I have no real statistics but I'd bet most people using gdm are using it on
personal computers, not targeted (by default) at exporting X to other users.

That way, gdm should not launch X allowing it to listen to tcp connections.

This has a very simple fix and has been corrected in GDM (cvs.gnome.org) but
correction has not yet been integrated into RedHat's gdm.

More details at http://bugzilla.gnome.org/show_bug.cgi?id=87291

Version-Release number of selected component (if applicable):
all versions untill current cvs (in gnome.org)

How reproducible:
Always

Steps to Reproduce:
default settings for run level 5

Actual Results:  tcp port 6000 is on LISTEN status

Expected Results:  tcp port 6000 NOT on LISTEN status

Additional info:

Comment 1 Toni Willberg 2003-07-07 17:42:29 UTC
Accidentally I submitted this same to Rawhide's bugs just few moments ago:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=98696


Comment 2 Havoc Pennington 2003-07-07 18:09:05 UTC

*** This bug has been marked as a duplicate of 98696 ***

Comment 3 Red Hat Bugzilla 2006-02-21 18:56:58 UTC
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.


Note You need to log in before you can comment on or make changes to this bug.